Bug 106894 - Rewrite packimages.pl in Python
Summary: Rewrite packimages.pl in Python
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Jens Carl
URL:
Whiteboard: target:6.0.0
Keywords: difficultyInteresting, easyHack, skillPython
Depends on:
Blocks:
 
Reported: 2017-03-31 08:41 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-09-29 21:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-03-31 08:41:49 UTC
packimages.pl (found in solenv/bin) is a script to pack icon themes.

It should be rewritten in Python.
This script is used during the build, so it needs to run with Python 2.7 and 3.x. We still have to support 2.7 because that's what is available on macOS.

Bonus points for fixing bug 93866 while at it.
Comment 1 Arkadiy Illarionov 2017-03-31 08:51:17 UTC
I'll work on this bug.
Comment 2 Arkadiy Illarionov 2017-04-03 11:05:28 UTC
This task requires building and building on my machine takes too much (~8h). Unfortunately I can't test how scripts work. So I unassign this from myself.
I'll attach my packimages.py script later if needed. It might be start point for next assignee.
Comment 3 tvallois 2017-05-27 06:33:56 UTC
hi,

I'll work on this bug.
Comment 4 Commit Notification 2017-09-26 06:54:07 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=423ee1020afe1bca896f2ecfc67ffbd49db5081c

tdf#106894 Rewrite packimages.pl in Python (pack_images.py)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-09-26 07:12:24 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=138c1252787256a20807caacc9df2af7b19b245e

Revert "tdf#106894 Rewrite packimages.pl in Python (pack_images.py)"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-09-26 08:39:06 UTC
Putting back to ASSIGNED since the commit has been reverted
Comment 7 Commit Notification 2017-09-28 07:14:45 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a313ab973378e82715cfda7431a8abbe474fd06

tdf#106894: Rewrite packimages.pl in Python (pack_images.py)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-09-29 13:21:00 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a845cc801582ef96309021be078fb7e10f4a0366

tdf#106894: Rewrite packimages.pl in Python

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.